com.aliyun.svideosdk.common.struct.project

## Enum PasterTrack.Type

- java.lang.Object
- - java.lang.Enum<PasterTrack.Type>
  - - com.aliyun.svideosdk.common.struct.project.PasterTrack.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PasterTrack.Type>
  Enclosing class:
    PasterTrack

      public static enum PasterTrack.Type
      extends java.lang.Enum<PasterTrack.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bubble_caption` the bubble caption.
    `caption` the caption.
    `gif` the gif image.
    `photo` the static image.
    `roll_captions` the roll caption.
    `subtitle` the subtitle.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PasterTrack.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PasterTrack.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### photo

          public static final PasterTrack.Type photo

      the static image.

    - #### gif

          public static final PasterTrack.Type gif

      the gif image.

    - #### subtitle

          public static final PasterTrack.Type subtitle

      the subtitle.

    - #### bubble_caption

          public static final PasterTrack.Type bubble_caption

      the bubble caption.

    - #### caption

          public static final PasterTrack.Type caption

      the caption.

    - #### roll_captions

          public static final PasterTrack.Type roll_captions

      the roll caption.

  - ### Method Detail

    - #### values

          public static PasterTrack.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PasterTrack.Type c : PasterTrack.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PasterTrack.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null